import React, { ComponentProps, ReactNode } from "react";
import { Tooltip } from "@vector-im/compound-web";
import MImageBody from "./MImageBody";
import { IMediaEventContent } from "../../../customisations/models/IMediaEventContent";
export default class MStickerBody extends MImageBody {
    protected onClick: (ev: React.MouseEvent) => void;
    protected wrapImage(contentUrl: string, children: React.ReactNode): JSX.Element;
    protected getPlaceholder(width: number, height: number): ReactNode;
    protected getTooltipProps(): ComponentProps<typeof Tooltip> | null;
    protected getFileBody(): ReactNode;
    protected getBanner(content: IMediaEventContent): ReactNode;
}
